Package Details: zfs-linux-zen-headers 2.2.4_6.9.5.zen1.1-1

Git Clone URL: https://aur.archlinux.org/zfs-linux-zen.git (read-only, click to copy)
Package Base: zfs-linux-zen
Description: Kernel headers for the Zettabyte File System.
Upstream URL: https://openzfs.org/
Licenses: CDDL
Conflicts: spl-dkms, spl-dkms-git, spl-headers, zfs-dkms, zfs-dkms-git, zfs-dkms-rc, zfs-headers
Provides: spl-headers, zfs-headers
Submitter: demizer
Maintainer: minextu (archzfs-bot)
Last Packager: archzfs-bot
Votes: 13
Popularity: 0.79
First Submitted: 2017-08-13 23:48 (UTC)
Last Updated: 2024-06-17 18:54 (UTC)

Latest Comments

dburger commented on 2024-03-12 20:54 (UTC)

As a heads-up, given that linux/linux-zen 6.8 are in extra-testing currently and I suspect they'll release within the new few days, there are a few items of note to be aware of on the ZFS side for Linux 6.8:

1) Open issue #15930 (https://github.com/openzfs/zfs/issues/15930) affecting Linux 6.8. There is a PR that has a patch to fix this, which is PR #15931 (https://github.com/openzfs/zfs/pull/15931). It's slated for inclusion into ZFS 2.2.4 I believe, but hasn't been backported to 2.2.4-staging as of yet from what I gather. However, I believe that pulling in and applying commit a24f6e17c8cf75b5f551eb43019d41747c08891f (https://github.com/openzfs/zfs/pull/15931/commits/a24f6e17c8cf75b5f551eb43019d41747c08891f) should resolve this issue.

2) This is also PR #15986 (https://github.com/openzfs/zfs/pull/15986) with commit 2b481b5477d3a95d0eab723c6639f7114e146ae1 (https://github.com/openzfs/zfs/pull/15986/commits/2b481b5477d3a95d0eab723c6639f7114e146ae1) to be aware of, as this will likely affect building ZFS against newer kernels, which while compatibility patches might have been merged, are still not officially supported (e.g. -- Linux 6.8 in this case), as ZFS tends to lag behind mainline kernel, as I'm sure everyone is aware.

I don't believe either of those commits have been merged into master or backported as of yet skimming them, but it looks like they're both going to be fairly important to keep in mind for Linux 6.8 and moving forward.

h0m3 commented on 2022-12-23 15:33 (UTC)

This package requires zfs-utils 2.1.7 but it can be installed by editing the PKGBUILD from AUR https://wiki.archlinux.org/title/PKGBUILD and manually updating from 2.1.6 to 2.1.7. Then you can install zfs-utils and zfs-linux-zen

francoism90 commented on 2019-05-28 09:26 (UTC)

@minextu Thanks! I've switched to the repo instead. :)

minextu commented on 2019-05-25 16:05 (UTC)

@francoism90 I don't have access to the zfs-utils package on the aur, so I can't update it. You can use https://github.com/archzfs/zfs-utils if you don't want to wait for the zfs-utils maintainer.

francoism90 commented on 2019-05-25 15:41 (UTC)

This cannot be build without a proper zfs-utils=0.8.0 :|